[SCM] Debian Live initramfs hook branch, master, updated. 1.139.1-4-17-g207dde5

Daniel Baumann daniel at debian.org
Sun Nov 23 17:12:28 UTC 2008


The following commit has been merged in the master branch:
commit 8703c5a49e3a68c6297fb4c47b04164911daf81f
Author: Daniel Baumann <daniel at debian.org>
Date:   Sun Nov 23 18:09:50 2008 +0100

    Adding a panic message when we netboot and have no supported network device (Closes: #496684).

diff --git a/scripts/live b/scripts/live
index d399d87..9c75f74 100755
--- a/scripts/live
+++ b/scripts/live
@@ -692,6 +692,14 @@ do_netmount ()
 	[ -z ${HOSTNAME} ] && HOSTNAME=${OLDHOSTNAME}
 	export HOSTNAME
 
+	# Check if we have a network device at all
+	if ! ls /sys/class/net/eth0 > /dev/null 2>&1 && \
+	   ! ls /sys/class/net/wlan0 > /dev/null 2>&1 && \
+	   ! ls /sys/class/net/ath0 > /dev/null 2>&1
+	then
+		panic "No supported network device found, maybe a non-mainline driver is required."
+	fi
+
 	if [ "${NFSROOT}" = "auto" ]
 	then
 		NFSROOT=${ROOTSERVER}:${ROOTPATH}

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list